#include <stdio.h>
#include <stdlib.h>

#include "parser.h"
#include "printtree.h"


int main(int argc, char *argv[]) {
	FILE *file;
	if (argc != 2) {
		fprintf(stderr,
			"Invalid usage!\n"
			"%s FILENAME\n", argv[0]);
		return 1;
	}
	file = fopen(argv[1],"r");
	struct SyntaxElement* code = parse(file);
	if (code == NULL) {
		fprintf(stderr, "Error during parsing.\n");
		return 1;
	}
	printtree(code,0);
	return 0;
}
